List a test run's evaluations
curl --request GET \
--url https://api.twinbay.ai/test-runs/{test_run_id}/evaluations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twinbay.ai/test-runs/{test_run_id}/evaluations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twinbay.ai/test-runs/{test_run_id}/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluator_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"phase": "checkpoint",
"coverage_status": "complete",
"verdict": "pending",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "met",
"explanation": "<string>",
"evidence": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_kind": "request",
"source_locator": "<string>",
"summary": "<string>"
}
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"regraded_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>"
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}tests
List a test run's evaluations
GET
/
test-runs
/
{test_run_id}
/
evaluations
List a test run's evaluations
Authorizations
Access tokenOrganization API key
Access token issued by WorkOS AuthKit.
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100